if {[catch {package require Tcl 8.0}]} return
global tcl_platform env
if {[string range $tcl_platform(os) 0 6] == "Windows"} {
    package ifneeded rpn 1.0 "set tmpPath \"\$env(PATH)\" ; set env(PATH) \"$dir;\$env(PATH)\" ; [list load [file join $dir tclRPN.dll]] ; set env(PATH) \"\$tmpPath\""
} elseif {$tcl_platform(os) == "Linux"} {
    if {[file exists [file join $dir Linux/libtclRPN.so]]} {
        package ifneeded rpn 1.0 "[list load [file join $dir Linux/libtclRPN.so]]"
    } else {
        package ifneeded rpn 1.0 "[list load [file join $dir libtclRPN.so]]"
    }
} elseif {$tcl_platform(os) == "Darwin"} {
    if {[file exists [file join $dir Darwin/libtclRPN.dylib]]} {
        package ifneeded rpn 1.0 "[list load [file join $dir Darwin/libtclRPN.dylib]]"
    } else {
        package ifneeded rpn 1.0 "[list load [file join $dir libtclRPN.dylib]]"
    }
} else {
    package ifneeded rpn 1.0 "[list load [file join $dir libtclRPN.so]]"
}
